

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Guest Scheduler Operations &mdash; Xen 4.16-unstable documentation</title>
  

  
  
  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="../../_static/css/theme.css" type="text/css" />
  

  

  
        <link rel="index" title="Index"
              href="../../genindex.html"/>
        <link rel="search" title="Search" href="../../search.html"/>
    <link rel="top" title="Xen 4.16-unstable documentation" href="../../index.html"/>
        <link rel="up" title="Hypercall Interfaces - arm64" href="../arm64.html"/>
        <link rel="next" title="Grant Tables" href="grant_tables.html"/>
        <link rel="prev" title="List of hypercalls" href="list_of_hypercalls.html"/> 

  
  <script src="../../_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="../../index.html" class="icon icon-home"> Xen
          

          
          </a>

          
            
            
              <div class="version">
                4.16
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="../../admin-guide/index.html">Admin Guide</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../guest-guide/index.html">Guest documentation</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../hypervisor-guide/index.html">Hypervisor documentation</a></li>
</ul>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../index.html">Hypercall Interfaces</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="../arm64.html">Hypercall Interfaces - arm64</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="../arm64.html#starting-points">Starting points</a><ul class="current">
<li class="toctree-l4"><a class="reference internal" href="hypercall_calling_convention.html">Hypercall Calling Convention</a></li>
<li class="toctree-l4"><a class="reference internal" href="supported_hypercalls.html">Supported hypercalls</a></li>
<li class="toctree-l4"><a class="reference internal" href="list_of_hypercalls.html">List of hypercalls</a></li>
<li class="toctree-l4 current"><a class="current reference internal" href="#">Guest Scheduler Operations</a></li>
<li class="toctree-l4"><a class="reference internal" href="grant_tables.html">Grant Tables</a></li>
<li class="toctree-l4"><a class="reference internal" href="event_channels.html">Event Channels</a></li>
<li class="toctree-l4"><a class="reference internal" href="xenstore_wire_protocol.html">XenStore wire protocol</a></li>
<li class="toctree-l4"><a class="reference internal" href="start_of_day_shared_data_structure.html">Start-of-day shared data structure</a></li>
<li class="toctree-l4"><a class="reference internal" href="start_of_day_memory_layout.html">Start-of-day memory layout</a></li>
<li class="toctree-l4"><a class="reference internal" href="dom0_console.html">Dom0 console</a></li>
<li class="toctree-l4"><a class="reference internal" href="xen_elfnote_features.html">XEN ELFNOTE FEATURES</a></li>
<li class="toctree-l4"><a class="reference internal" href="elf_notes.html">ELF notes</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#functions">Functions</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#structs">Structs</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#enums-and-sets-of-defines">Enums and sets of #defines</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#typedefs">Typedefs</a></li>
<li class="toctree-l3"><a class="reference internal" href="../arm64.html#enum-values-and-individual-defines">Enum values and individual #defines</a></li>
</ul>
</li>
</ul>
</li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="../../glossary.html">Glossary</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../index.html">Xen</a>
        
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="../../index.html">Docs</a> &raquo;</li>
        
          <li><a href="../index.html">Hypercall Interfaces</a> &raquo;</li>
        
          <li><a href="../arm64.html">Hypercall Interfaces - arm64</a> &raquo;</li>
        
      <li>Guest Scheduler Operations</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="../../_sources/hypercall-interfaces/common/guest_scheduler_operations.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="guest-scheduler-operations">
<h1>Guest Scheduler Operations<a class="headerlink" href="#guest-scheduler-operations" title="Permalink to this headline">¶</a></h1>
<dl class="group">
<dt>
<span class="target" id="group__guest__scheduler__operations"></span><em>group</em> <code class="descname">guest_scheduler_operations</code></dt>
<dd><p>The SCHEDOP interface provides mechanisms for a guest to interact with the scheduler, including yield, blocking and shutting itself down. </p>
<div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Defines</p>
<dl class="define">
<dt id="c.SCHEDOP_yield">
<span class="target" id="group__guest__scheduler__operations_1gac6729986fa8f1233fc665ff29e60d4fe"></span><code class="descname">SCHEDOP_yield</code> 0<a class="headerlink" href="#c.SCHEDOP_yield" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SCHEDOP_block">
<span class="target" id="group__guest__scheduler__operations_1ga566d14ea508950d32a5b1191642c7315"></span><code class="descname">SCHEDOP_block</code> 1<a class="headerlink" href="#c.SCHEDOP_block" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SCHEDOP_shutdown">
<span class="target" id="group__guest__scheduler__operations_1gac5b250debc01324d7a41c7ae7d6a3b54"></span><code class="descname">SCHEDOP_shutdown</code> 2<a class="headerlink" href="#c.SCHEDOP_shutdown" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SCHEDOP_poll">
<span class="target" id="group__guest__scheduler__operations_1gaaf686f8f7b11629bf454d1610c2eb242"></span><code class="descname">SCHEDOP_poll</code> 3<a class="headerlink" href="#c.SCHEDOP_poll" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SCHEDOP_remote_shutdown">
<span class="target" id="group__guest__scheduler__operations_1ga5d976e3048f113e09d37115c084bf5dc"></span><code class="descname">SCHEDOP_remote_shutdown</code> 4<a class="headerlink" href="#c.SCHEDOP_remote_shutdown" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SCHEDOP_shutdown_code">
<span class="target" id="group__guest__scheduler__operations_1ga2cb33c474fb6d6f7063fde4d3ad06835"></span><code class="descname">SCHEDOP_shutdown_code</code> 5<a class="headerlink" href="#c.SCHEDOP_shutdown_code" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SCHEDOP_watchdog">
<span class="target" id="group__guest__scheduler__operations_1ga21298626bad1ba1ca03ed538f6b66677"></span><code class="descname">SCHEDOP_watchdog</code> 6<a class="headerlink" href="#c.SCHEDOP_watchdog" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SCHEDOP_pin_override">
<span class="target" id="group__guest__scheduler__operations_1ga6ddcfa16b3a1af5c84360995a13d60ed"></span><code class="descname">SCHEDOP_pin_override</code> 7<a class="headerlink" href="#c.SCHEDOP_pin_override" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SHUTDOWN_poweroff">
<span class="target" id="group__guest__scheduler__operations_1gab565461b915d7d8350fe4f21d8d7aceb"></span><code class="descname">SHUTDOWN_poweroff</code> 0  /* Domain exited normally. Clean up and kill. */<a class="headerlink" href="#c.SHUTDOWN_poweroff" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SHUTDOWN_reboot">
<span class="target" id="group__guest__scheduler__operations_1ga38df89b49d7eddfcabb9a73289ab8b2a"></span><code class="descname">SHUTDOWN_reboot</code> 1  /* Clean up, kill, and then restart.          */<a class="headerlink" href="#c.SHUTDOWN_reboot" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SHUTDOWN_suspend">
<span class="target" id="group__guest__scheduler__operations_1ga69edbb2f053d98cfc807a889b3fad958"></span><code class="descname">SHUTDOWN_suspend</code> 2  /* Clean up, save suspend info, kill.         */<a class="headerlink" href="#c.SHUTDOWN_suspend" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SHUTDOWN_crash">
<span class="target" id="group__guest__scheduler__operations_1gaddd2d09c78bbf469ebcd023207533088"></span><code class="descname">SHUTDOWN_crash</code> 3  /* Tell controller we’ve crashed.             */<a class="headerlink" href="#c.SHUTDOWN_crash" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SHUTDOWN_watchdog">
<span class="target" id="group__guest__scheduler__operations_1ga45cca8cb6eca9a48a63c12659edf02fd"></span><code class="descname">SHUTDOWN_watchdog</code> 4  /* Restart because watchdog time expired.     */<a class="headerlink" href="#c.SHUTDOWN_watchdog" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SHUTDOWN_soft_reset">
<span class="target" id="group__guest__scheduler__operations_1ga82ce3d9d9b48872947534b83820a0a37"></span><code class="descname">SHUTDOWN_soft_reset</code> 5<a class="headerlink" href="#c.SHUTDOWN_soft_reset" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="define">
<dt id="c.SHUTDOWN_MAX">
<span class="target" id="group__guest__scheduler__operations_1gacc97d10d75325917d3bb3c47f26d99fe"></span><code class="descname">SHUTDOWN_MAX</code> 5  /* Maximum valid shutdown reason.             */<a class="headerlink" href="#c.SHUTDOWN_MAX" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
<div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Typedefs</p>
<dl class="typedef">
<dt id="c.sched_shutdown_t">
<span class="target" id="group__guest__scheduler__operations_1gab7dec9bb2853d145f6e8035e81aacea9"></span><em class="property">typedef </em>struct sched_shutdown <code class="descname">sched_shutdown_t</code><a class="headerlink" href="#c.sched_shutdown_t" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="typedef">
<dt id="c.sched_poll_t">
<span class="target" id="group__guest__scheduler__operations_1gaa4cc6a09419667548c61ee024a693b23"></span><em class="property">typedef </em>struct sched_poll <code class="descname">sched_poll_t</code><a class="headerlink" href="#c.sched_poll_t" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="typedef">
<dt id="c.sched_remote_shutdown_t">
<span class="target" id="group__guest__scheduler__operations_1gad9999189885b0556a19dadaa47ae8729"></span><em class="property">typedef </em>struct sched_remote_shutdown <code class="descname">sched_remote_shutdown_t</code><a class="headerlink" href="#c.sched_remote_shutdown_t" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="typedef">
<dt id="c.sched_watchdog_t">
<span class="target" id="group__guest__scheduler__operations_1ga220e31e99c5aded3f4fa30417d949c0a"></span><em class="property">typedef </em>struct sched_watchdog <code class="descname">sched_watchdog_t</code><a class="headerlink" href="#c.sched_watchdog_t" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="typedef">
<dt id="c.sched_pin_override_t">
<span class="target" id="group__guest__scheduler__operations_1ga008552edd0a746a38e426e70a3f8bc1b"></span><em class="property">typedef </em>struct sched_pin_override <code class="descname">sched_pin_override_t</code><a class="headerlink" href="#c.sched_pin_override_t" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
<dl class="type">
<dt id="_CPPv231__guest_handle_sched_shutdown_t">
<span id="__guest_handle_sched_shutdown_t"></span><span class="target" id="union____guest__handle__sched__shutdown__t"></span><em class="property">union </em><code class="descname">__guest_handle_sched_shutdown_t</code><a class="headerlink" href="#_CPPv231__guest_handle_sched_shutdown_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_sched_shutdown_t::p">
<span class="target" id="union____guest__handle__sched__shutdown__t_1a96e4e06dc8a299b0ea33502554de9ae2"></span><a class="reference internal" href="#c.sched_shutdown_t" title="sched_shutdown_t">sched_shutdown_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_sched_shutdown_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_sched_shutdown_t::q">
<span class="target" id="union____guest__handle__sched__shutdown__t_1a69940bebf1ae7fc9fec42a88dcde2365"></span>unsigned long <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_sched_shutdown_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv234__guest_handle_64_sched_shutdown_t">
<span id="__guest_handle_64_sched_shutdown_t"></span><span class="target" id="union____guest__handle__64__sched__shutdown__t"></span><em class="property">union </em><code class="descname">__guest_handle_64_sched_shutdown_t</code><a class="headerlink" href="#_CPPv234__guest_handle_64_sched_shutdown_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_64_sched_shutdown_t::p">
<span class="target" id="union____guest__handle__64__sched__shutdown__t_1a89227cc7192233504ff49ffb53606eb7"></span><a class="reference internal" href="#c.sched_shutdown_t" title="sched_shutdown_t">sched_shutdown_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_64_sched_shutdown_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_64_sched_shutdown_t::q">
<span class="target" id="union____guest__handle__64__sched__shutdown__t_1a179dd7f10459761c76dfc29634f2cec0"></span>uint64_t <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_64_sched_shutdown_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv237__guest_handle_const_sched_shutdown_t">
<span id="__guest_handle_const_sched_shutdown_t"></span><span class="target" id="union____guest__handle__const__sched__shutdown__t"></span><em class="property">union </em><code class="descname">__guest_handle_const_sched_shutdown_t</code><a class="headerlink" href="#_CPPv237__guest_handle_const_sched_shutdown_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_const_sched_shutdown_t::p">
<span class="target" id="union____guest__handle__const__sched__shutdown__t_1aab93c53ab3d93e59be0074bcc387b36a"></span>const <a class="reference internal" href="#c.sched_shutdown_t" title="sched_shutdown_t">sched_shutdown_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_const_sched_shutdown_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_const_sched_shutdown_t::q">
<span class="target" id="union____guest__handle__const__sched__shutdown__t_1adb2c1dcf4df178919c3349506ff193d4"></span>unsigned long <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_const_sched_shutdown_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv240__guest_handle_64_const_sched_shutdown_t">
<span id="__guest_handle_64_const_sched_shutdown_t"></span><span class="target" id="union____guest__handle__64__const__sched__shutdown__t"></span><em class="property">union </em><code class="descname">__guest_handle_64_const_sched_shutdown_t</code><a class="headerlink" href="#_CPPv240__guest_handle_64_const_sched_shutdown_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_64_const_sched_shutdown_t::p">
<span class="target" id="union____guest__handle__64__const__sched__shutdown__t_1afe53c9b3beb14e54819f12c4c1778aa1"></span>const <a class="reference internal" href="#c.sched_shutdown_t" title="sched_shutdown_t">sched_shutdown_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_64_const_sched_shutdown_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_64_const_sched_shutdown_t::q">
<span class="target" id="union____guest__handle__64__const__sched__shutdown__t_1a436a50ad2954ac59fbea2a4165c7ff7e"></span>uint64_t <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_64_const_sched_shutdown_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv227__guest_handle_sched_poll_t">
<span id="__guest_handle_sched_poll_t"></span><span class="target" id="union____guest__handle__sched__poll__t"></span><em class="property">union </em><code class="descname">__guest_handle_sched_poll_t</code><a class="headerlink" href="#_CPPv227__guest_handle_sched_poll_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_sched_poll_t::p">
<span class="target" id="union____guest__handle__sched__poll__t_1a8763b8bbef64930d630189da89a712a3"></span><a class="reference internal" href="#c.sched_poll_t" title="sched_poll_t">sched_poll_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_sched_poll_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_sched_poll_t::q">
<span class="target" id="union____guest__handle__sched__poll__t_1a587b697f10d148647db85737a7deb49e"></span>unsigned long <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_sched_poll_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv230__guest_handle_64_sched_poll_t">
<span id="__guest_handle_64_sched_poll_t"></span><span class="target" id="union____guest__handle__64__sched__poll__t"></span><em class="property">union </em><code class="descname">__guest_handle_64_sched_poll_t</code><a class="headerlink" href="#_CPPv230__guest_handle_64_sched_poll_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_64_sched_poll_t::p">
<span class="target" id="union____guest__handle__64__sched__poll__t_1ae398068e67b4b0229c34695ea57a3c3c"></span><a class="reference internal" href="#c.sched_poll_t" title="sched_poll_t">sched_poll_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_64_sched_poll_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_64_sched_poll_t::q">
<span class="target" id="union____guest__handle__64__sched__poll__t_1aec633b8271d1297436dc5b27edf15145"></span>uint64_t <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_64_sched_poll_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv233__guest_handle_const_sched_poll_t">
<span id="__guest_handle_const_sched_poll_t"></span><span class="target" id="union____guest__handle__const__sched__poll__t"></span><em class="property">union </em><code class="descname">__guest_handle_const_sched_poll_t</code><a class="headerlink" href="#_CPPv233__guest_handle_const_sched_poll_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_const_sched_poll_t::p">
<span class="target" id="union____guest__handle__const__sched__poll__t_1ab1a995245324a70194ccce312b2f1c53"></span>const <a class="reference internal" href="#c.sched_poll_t" title="sched_poll_t">sched_poll_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_const_sched_poll_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_const_sched_poll_t::q">
<span class="target" id="union____guest__handle__const__sched__poll__t_1aa7dcf11bcc6139b350ec36dc5eab6601"></span>unsigned long <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_const_sched_poll_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv236__guest_handle_64_const_sched_poll_t">
<span id="__guest_handle_64_const_sched_poll_t"></span><span class="target" id="union____guest__handle__64__const__sched__poll__t"></span><em class="property">union </em><code class="descname">__guest_handle_64_const_sched_poll_t</code><a class="headerlink" href="#_CPPv236__guest_handle_64_const_sched_poll_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_64_const_sched_poll_t::p">
<span class="target" id="union____guest__handle__64__const__sched__poll__t_1a260fef546e909ea9ba39b9a8838a2ea5"></span>const <a class="reference internal" href="#c.sched_poll_t" title="sched_poll_t">sched_poll_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_64_const_sched_poll_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_64_const_sched_poll_t::q">
<span class="target" id="union____guest__handle__64__const__sched__poll__t_1a19cacd05f6cdb02a0d557e942b0e8d45"></span>uint64_t <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_64_const_sched_poll_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv238__guest_handle_sched_remote_shutdown_t">
<span id="__guest_handle_sched_remote_shutdown_t"></span><span class="target" id="union____guest__handle__sched__remote__shutdown__t"></span><em class="property">union </em><code class="descname">__guest_handle_sched_remote_shutdown_t</code><a class="headerlink" href="#_CPPv238__guest_handle_sched_remote_shutdown_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_sched_remote_shutdown_t::p">
<span class="target" id="union____guest__handle__sched__remote__shutdown__t_1a30cf9086476b71763644cf49895a5daf"></span><a class="reference internal" href="#c.sched_remote_shutdown_t" title="sched_remote_shutdown_t">sched_remote_shutdown_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_sched_remote_shutdown_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_sched_remote_shutdown_t::q">
<span class="target" id="union____guest__handle__sched__remote__shutdown__t_1af19cd422ab0c79c37bc51dc8b2098ef7"></span>unsigned long <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_sched_remote_shutdown_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv241__guest_handle_64_sched_remote_shutdown_t">
<span id="__guest_handle_64_sched_remote_shutdown_t"></span><span class="target" id="union____guest__handle__64__sched__remote__shutdown__t"></span><em class="property">union </em><code class="descname">__guest_handle_64_sched_remote_shutdown_t</code><a class="headerlink" href="#_CPPv241__guest_handle_64_sched_remote_shutdown_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_64_sched_remote_shutdown_t::p">
<span class="target" id="union____guest__handle__64__sched__remote__shutdown__t_1a8c4c535c2ca0e2b1ebac27c123c8872c"></span><a class="reference internal" href="#c.sched_remote_shutdown_t" title="sched_remote_shutdown_t">sched_remote_shutdown_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_64_sched_remote_shutdown_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_64_sched_remote_shutdown_t::q">
<span class="target" id="union____guest__handle__64__sched__remote__shutdown__t_1a2398735189a1498ec4f72ce67df6bbce"></span>uint64_t <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_64_sched_remote_shutdown_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv244__guest_handle_const_sched_remote_shutdown_t">
<span id="__guest_handle_const_sched_remote_shutdown_t"></span><span class="target" id="union____guest__handle__const__sched__remote__shutdown__t"></span><em class="property">union </em><code class="descname">__guest_handle_const_sched_remote_shutdown_t</code><a class="headerlink" href="#_CPPv244__guest_handle_const_sched_remote_shutdown_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_const_sched_remote_shutdown_t::p">
<span class="target" id="union____guest__handle__const__sched__remote__shutdown__t_1a805666a867d93419a07cf5ba68abf8dc"></span>const <a class="reference internal" href="#c.sched_remote_shutdown_t" title="sched_remote_shutdown_t">sched_remote_shutdown_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_const_sched_remote_shutdown_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_const_sched_remote_shutdown_t::q">
<span class="target" id="union____guest__handle__const__sched__remote__shutdown__t_1ae00ace3e02fd792e327f437200b2af76"></span>unsigned long <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_const_sched_remote_shutdown_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv247__guest_handle_64_const_sched_remote_shutdown_t">
<span id="__guest_handle_64_const_sched_remote_shutdown_t"></span><span class="target" id="union____guest__handle__64__const__sched__remote__shutdown__t"></span><em class="property">union </em><code class="descname">__guest_handle_64_const_sched_remote_shutdown_t</code><a class="headerlink" href="#_CPPv247__guest_handle_64_const_sched_remote_shutdown_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_64_const_sched_remote_shutdown_t::p">
<span class="target" id="union____guest__handle__64__const__sched__remote__shutdown__t_1ade7e12311250be3c03470c8522b09072"></span>const <a class="reference internal" href="#c.sched_remote_shutdown_t" title="sched_remote_shutdown_t">sched_remote_shutdown_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_64_const_sched_remote_shutdown_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_64_const_sched_remote_shutdown_t::q">
<span class="target" id="union____guest__handle__64__const__sched__remote__shutdown__t_1abf0a6c1ed71214c9d841f98b3dcabb84"></span>uint64_t <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_64_const_sched_remote_shutdown_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv231__guest_handle_sched_watchdog_t">
<span id="__guest_handle_sched_watchdog_t"></span><span class="target" id="union____guest__handle__sched__watchdog__t"></span><em class="property">union </em><code class="descname">__guest_handle_sched_watchdog_t</code><a class="headerlink" href="#_CPPv231__guest_handle_sched_watchdog_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_sched_watchdog_t::p">
<span class="target" id="union____guest__handle__sched__watchdog__t_1ad3b4c9cd2f9fd495204c343ea0d57133"></span><a class="reference internal" href="#c.sched_watchdog_t" title="sched_watchdog_t">sched_watchdog_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_sched_watchdog_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_sched_watchdog_t::q">
<span class="target" id="union____guest__handle__sched__watchdog__t_1a5c4a7a709a15b8c37aeb89a0527520d5"></span>unsigned long <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_sched_watchdog_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv234__guest_handle_64_sched_watchdog_t">
<span id="__guest_handle_64_sched_watchdog_t"></span><span class="target" id="union____guest__handle__64__sched__watchdog__t"></span><em class="property">union </em><code class="descname">__guest_handle_64_sched_watchdog_t</code><a class="headerlink" href="#_CPPv234__guest_handle_64_sched_watchdog_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_64_sched_watchdog_t::p">
<span class="target" id="union____guest__handle__64__sched__watchdog__t_1a2af685df755b463ec2b9638ee7cdba8d"></span><a class="reference internal" href="#c.sched_watchdog_t" title="sched_watchdog_t">sched_watchdog_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_64_sched_watchdog_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_64_sched_watchdog_t::q">
<span class="target" id="union____guest__handle__64__sched__watchdog__t_1ae9e4e0fe7094acc518918e20c5774450"></span>uint64_t <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_64_sched_watchdog_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv237__guest_handle_const_sched_watchdog_t">
<span id="__guest_handle_const_sched_watchdog_t"></span><span class="target" id="union____guest__handle__const__sched__watchdog__t"></span><em class="property">union </em><code class="descname">__guest_handle_const_sched_watchdog_t</code><a class="headerlink" href="#_CPPv237__guest_handle_const_sched_watchdog_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_const_sched_watchdog_t::p">
<span class="target" id="union____guest__handle__const__sched__watchdog__t_1aeb2628d166bc88810009c39baaf9e0b8"></span>const <a class="reference internal" href="#c.sched_watchdog_t" title="sched_watchdog_t">sched_watchdog_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_const_sched_watchdog_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_const_sched_watchdog_t::q">
<span class="target" id="union____guest__handle__const__sched__watchdog__t_1a4ec83e89901cd0f4550eb7a00642c00a"></span>unsigned long <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_const_sched_watchdog_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv240__guest_handle_64_const_sched_watchdog_t">
<span id="__guest_handle_64_const_sched_watchdog_t"></span><span class="target" id="union____guest__handle__64__const__sched__watchdog__t"></span><em class="property">union </em><code class="descname">__guest_handle_64_const_sched_watchdog_t</code><a class="headerlink" href="#_CPPv240__guest_handle_64_const_sched_watchdog_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_64_const_sched_watchdog_t::p">
<span class="target" id="union____guest__handle__64__const__sched__watchdog__t_1af05064963a5e4a46f2f67d52e109a54b"></span>const <a class="reference internal" href="#c.sched_watchdog_t" title="sched_watchdog_t">sched_watchdog_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_64_const_sched_watchdog_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_64_const_sched_watchdog_t::q">
<span class="target" id="union____guest__handle__64__const__sched__watchdog__t_1a3cc87ba786e5a1d77a793b8c5f7dcfa4"></span>uint64_t <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_64_const_sched_watchdog_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv235__guest_handle_sched_pin_override_t">
<span id="__guest_handle_sched_pin_override_t"></span><span class="target" id="union____guest__handle__sched__pin__override__t"></span><em class="property">union </em><code class="descname">__guest_handle_sched_pin_override_t</code><a class="headerlink" href="#_CPPv235__guest_handle_sched_pin_override_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_sched_pin_override_t::p">
<span class="target" id="union____guest__handle__sched__pin__override__t_1ae74320c8fb4c4e5bc23331a6b81520fe"></span><a class="reference internal" href="#c.sched_pin_override_t" title="sched_pin_override_t">sched_pin_override_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_sched_pin_override_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_sched_pin_override_t::q">
<span class="target" id="union____guest__handle__sched__pin__override__t_1af31bf69cf5dc94ae1aad7a7251155ae7"></span>unsigned long <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_sched_pin_override_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv238__guest_handle_64_sched_pin_override_t">
<span id="__guest_handle_64_sched_pin_override_t"></span><span class="target" id="union____guest__handle__64__sched__pin__override__t"></span><em class="property">union </em><code class="descname">__guest_handle_64_sched_pin_override_t</code><a class="headerlink" href="#_CPPv238__guest_handle_64_sched_pin_override_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_64_sched_pin_override_t::p">
<span class="target" id="union____guest__handle__64__sched__pin__override__t_1a767fd690c787126de7b116fb764f7dfa"></span><a class="reference internal" href="#c.sched_pin_override_t" title="sched_pin_override_t">sched_pin_override_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_64_sched_pin_override_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_64_sched_pin_override_t::q">
<span class="target" id="union____guest__handle__64__sched__pin__override__t_1ac5f4cef1afb1045cd550d71fbe439f39"></span>uint64_t <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_64_sched_pin_override_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv241__guest_handle_const_sched_pin_override_t">
<span id="__guest_handle_const_sched_pin_override_t"></span><span class="target" id="union____guest__handle__const__sched__pin__override__t"></span><em class="property">union </em><code class="descname">__guest_handle_const_sched_pin_override_t</code><a class="headerlink" href="#_CPPv241__guest_handle_const_sched_pin_override_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_const_sched_pin_override_t::p">
<span class="target" id="union____guest__handle__const__sched__pin__override__t_1a431944fc75129de054b6bb1b91dc66dd"></span>const <a class="reference internal" href="#c.sched_pin_override_t" title="sched_pin_override_t">sched_pin_override_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_const_sched_pin_override_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_const_sched_pin_override_t::q">
<span class="target" id="union____guest__handle__const__sched__pin__override__t_1a2c898533c577dff3fd98debd7d68211d"></span>unsigned long <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_const_sched_pin_override_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

<dl class="type">
<dt id="_CPPv244__guest_handle_64_const_sched_pin_override_t">
<span id="__guest_handle_64_const_sched_pin_override_t"></span><span class="target" id="union____guest__handle__64__const__sched__pin__override__t"></span><em class="property">union </em><code class="descname">__guest_handle_64_const_sched_pin_override_t</code><a class="headerlink" href="#_CPPv244__guest_handle_64_const_sched_pin_override_t" title="Permalink to this definition">¶</a><br /></dt>
<dd><em>#include &lt;sched.h&gt;</em><div class="breathe-sectiondef docutils container">
<p class="breathe-sectiondef-title rubric">Public Members</p>
<dl class="variable">
<dt id="c.__guest_handle_64_const_sched_pin_override_t::p">
<span class="target" id="union____guest__handle__64__const__sched__pin__override__t_1a514be7898388f8b1657d0a8f0dc86243"></span>const <a class="reference internal" href="#c.sched_pin_override_t" title="sched_pin_override_t">sched_pin_override_t</a>* <code class="descname">p</code><a class="headerlink" href="#c.__guest_handle_64_const_sched_pin_override_t::p" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="variable">
<dt id="c.__guest_handle_64_const_sched_pin_override_t::q">
<span class="target" id="union____guest__handle__64__const__sched__pin__override__t_1a7459c28335e6758c4480c8f44193fa69"></span>uint64_t <code class="descname">q</code><a class="headerlink" href="#c.__guest_handle_64_const_sched_pin_override_t::q" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</dd></dl>

</dd></dl>

</div>


           </div>
           <div class="articleComments">
            
           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
        <a href="grant_tables.html" class="btn btn-neutral float-right" title="Grant Tables" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right"></span></a>
      
      
        <a href="list_of_hypercalls.html" class="btn btn-neutral" title="List of hypercalls" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, The Xen development community.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'../../',
            VERSION:'4.16-unstable',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="../../_static/jquery.js"></script>
      <script type="text/javascript" src="../../_static/underscore.js"></script>
      <script type="text/javascript" src="../../_static/doctools.js"></script>

  

  
  
    <script type="text/javascript" src="../../_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>